
package com.severstal.pi.hcm.travel;

import java.io.Serializable;
import java.math.BigInteger;
import java.sql.Date;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="urn://severstal.com/pi/HCM/TRAVEL" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="dt_emp_response_by_id">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ID_REQUEST"/>
 *     &lt;xs:element type="xs:integer" name="ID_PACK"/>
 *     &lt;xs:element type="xs:string" name="STATUS" minOccurs="0"/>
 *     &lt;xs:element type="xs:integer" name="ALL_PACK" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="MESSAGE" minOccurs="0"/>
 *     &lt;xs:element name="Person" minOccurs="0" maxOccurs="500">
 *       &lt;!-- Reference to inner class Person -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DtEmpResponseById implements Serializable
{
    private String IDREQUEST;
    private BigInteger IDPACK;
    private String STATUS;
    private BigInteger ALLPACK;
    private String MESSAGE;
    private List<Person> personList = new ArrayList<Person>();

    /** 
     * Get the 'ID_REQUEST' element value.
     * 
     * @return value
     */
    public String getIDREQUEST() {
        return IDREQUEST;
    }

    /** 
     * Set the 'ID_REQUEST' element value.
     * 
     * @param IDREQUEST
     */
    public void setIDREQUEST(String IDREQUEST) {
        this.IDREQUEST = IDREQUEST;
    }

    /** 
     * Get the 'ID_PACK' element value.
     * 
     * @return value
     */
    public BigInteger getIDPACK() {
        return IDPACK;
    }

    /** 
     * Set the 'ID_PACK' element value.
     * 
     * @param IDPACK
     */
    public void setIDPACK(BigInteger IDPACK) {
        this.IDPACK = IDPACK;
    }

    /** 
     * Get the 'STATUS' element value.
     * 
     * @return value
     */
    public String getSTATUS() {
        return STATUS;
    }

    /** 
     * Set the 'STATUS' element value.
     * 
     * @param STATUS
     */
    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    /** 
     * Get the 'ALL_PACK' element value.
     * 
     * @return value
     */
    public BigInteger getALLPACK() {
        return ALLPACK;
    }

    /** 
     * Set the 'ALL_PACK' element value.
     * 
     * @param ALLPACK
     */
    public void setALLPACK(BigInteger ALLPACK) {
        this.ALLPACK = ALLPACK;
    }

    /** 
     * Get the 'MESSAGE' element value.
     * 
     * @return value
     */
    public String getMESSAGE() {
        return MESSAGE;
    }

    /** 
     * Set the 'MESSAGE' element value.
     * 
     * @param MESSAGE
     */
    public void setMESSAGE(String MESSAGE) {
        this.MESSAGE = MESSAGE;
    }

    /** 
     * Get the list of 'Person' element items.
     * 
     * @return list
     */
    public List<Person> getPersonList() {
        return personList;
    }

    /** 
     * Set the list of 'Person' element items.
     * 
     * @param list
     */
    public void setPersonList(List<Person> list) {
        personList = list;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Person" minOccurs="0" maxOccurs="500">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="xs:string" name="ANSNR" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="KPP00" minOccurs="0"/>
     *       &lt;xs:element type="xs:integer" name="PERNR" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="USRID" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="ANREX" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="NACHN" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="VORNA" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="MIDNM" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="GBDAT" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="NACHN_ENG" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="VORNA_ENG" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="MIDNM_ENG" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="NATIO" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="USRID_LONG" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="STEXT" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="OTEXT" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="STAT2" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="KTGRY" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="PHONE" minOccurs="0"/>
     *       &lt;xs:element type="xs:string" name="WERKS" minOccurs="0"/>
     *       &lt;xs:element name="Documents" minOccurs="0" maxOccurs="100">
     *         &lt;!-- Reference to inner class Documents -->
     *       &lt;/xs:element>
     *       &lt;xs:element name="ASSIST" minOccurs="0" maxOccurs="100">
     *         &lt;!-- Reference to inner class ASSIST -->
     *       &lt;/xs:element>
     *       &lt;xs:element type="xs:boolean" name="ASSIST_F" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Person implements Serializable
    {
        private String ANSNR;
        private String KPP00;
        private BigInteger PERNR;
        private String USRID;
        private String ANREX;
        private String NACHN;
        private String VORNA;
        private String MIDNM;
        private String GBDAT;
        private String NACHNENG;
        private String VORNAENG;
        private String MIDNMENG;
        private String NATIO;
        private String USRIDLONG;
        private String STEXT;
        private String OTEXT;
        private String STAT2;
        private String KTGRY;
        private String PHONE;
        private String WERKS;
        private List<Documents> documentList = new ArrayList<Documents>();
        private List<ASSIST> ASSISTList = new ArrayList<ASSIST>();
        private Boolean ASSISTF;

        /** 
         * Get the 'ANSNR' element value.
         * 
         * @return value
         */
        public String getANSNR() {
            return ANSNR;
        }

        /** 
         * Set the 'ANSNR' element value.
         * 
         * @param ANSNR
         */
        public void setANSNR(String ANSNR) {
            this.ANSNR = ANSNR;
        }

        /** 
         * Get the 'KPP00' element value.
         * 
         * @return value
         */
        public String getKPP00() {
            return KPP00;
        }

        /** 
         * Set the 'KPP00' element value.
         * 
         * @param KPP00
         */
        public void setKPP00(String KPP00) {
            this.KPP00 = KPP00;
        }

        /** 
         * Get the 'PERNR' element value.
         * 
         * @return value
         */
        public BigInteger getPERNR() {
            return PERNR;
        }

        /** 
         * Set the 'PERNR' element value.
         * 
         * @param PERNR
         */
        public void setPERNR(BigInteger PERNR) {
            this.PERNR = PERNR;
        }

        /** 
         * Get the 'USRID' element value.
         * 
         * @return value
         */
        public String getUSRID() {
            return USRID;
        }

        /** 
         * Set the 'USRID' element value.
         * 
         * @param USRID
         */
        public void setUSRID(String USRID) {
            this.USRID = USRID;
        }

        /** 
         * Get the 'ANREX' element value.
         * 
         * @return value
         */
        public String getANREX() {
            return ANREX;
        }

        /** 
         * Set the 'ANREX' element value.
         * 
         * @param ANREX
         */
        public void setANREX(String ANREX) {
            this.ANREX = ANREX;
        }

        /** 
         * Get the 'NACHN' element value.
         * 
         * @return value
         */
        public String getNACHN() {
            return NACHN;
        }

        /** 
         * Set the 'NACHN' element value.
         * 
         * @param NACHN
         */
        public void setNACHN(String NACHN) {
            this.NACHN = NACHN;
        }

        /** 
         * Get the 'VORNA' element value.
         * 
         * @return value
         */
        public String getVORNA() {
            return VORNA;
        }

        /** 
         * Set the 'VORNA' element value.
         * 
         * @param VORNA
         */
        public void setVORNA(String VORNA) {
            this.VORNA = VORNA;
        }

        /** 
         * Get the 'MIDNM' element value.
         * 
         * @return value
         */
        public String getMIDNM() {
            return MIDNM;
        }

        /** 
         * Set the 'MIDNM' element value.
         * 
         * @param MIDNM
         */
        public void setMIDNM(String MIDNM) {
            this.MIDNM = MIDNM;
        }

        /** 
         * Get the 'GBDAT' element value.
         * 
         * @return value
         */
        public String getGBDAT() {
            return GBDAT;
        }

        /** 
         * Set the 'GBDAT' element value.
         * 
         * @param GBDAT
         */
        public void setGBDAT(String GBDAT) {
            this.GBDAT = GBDAT;
        }

        /** 
         * Get the 'NACHN_ENG' element value.
         * 
         * @return value
         */
        public String getNACHNENG() {
            return NACHNENG;
        }

        /** 
         * Set the 'NACHN_ENG' element value.
         * 
         * @param NACHNENG
         */
        public void setNACHNENG(String NACHNENG) {
            this.NACHNENG = NACHNENG;
        }

        /** 
         * Get the 'VORNA_ENG' element value.
         * 
         * @return value
         */
        public String getVORNAENG() {
            return VORNAENG;
        }

        /** 
         * Set the 'VORNA_ENG' element value.
         * 
         * @param VORNAENG
         */
        public void setVORNAENG(String VORNAENG) {
            this.VORNAENG = VORNAENG;
        }

        /** 
         * Get the 'MIDNM_ENG' element value.
         * 
         * @return value
         */
        public String getMIDNMENG() {
            return MIDNMENG;
        }

        /** 
         * Set the 'MIDNM_ENG' element value.
         * 
         * @param MIDNMENG
         */
        public void setMIDNMENG(String MIDNMENG) {
            this.MIDNMENG = MIDNMENG;
        }

        /** 
         * Get the 'NATIO' element value.
         * 
         * @return value
         */
        public String getNATIO() {
            return NATIO;
        }

        /** 
         * Set the 'NATIO' element value.
         * 
         * @param NATIO
         */
        public void setNATIO(String NATIO) {
            this.NATIO = NATIO;
        }

        /** 
         * Get the 'USRID_LONG' element value.
         * 
         * @return value
         */
        public String getUSRIDLONG() {
            return USRIDLONG;
        }

        /** 
         * Set the 'USRID_LONG' element value.
         * 
         * @param USRIDLONG
         */
        public void setUSRIDLONG(String USRIDLONG) {
            this.USRIDLONG = USRIDLONG;
        }

        /** 
         * Get the 'STEXT' element value.
         * 
         * @return value
         */
        public String getSTEXT() {
            return STEXT;
        }

        /** 
         * Set the 'STEXT' element value.
         * 
         * @param STEXT
         */
        public void setSTEXT(String STEXT) {
            this.STEXT = STEXT;
        }

        /** 
         * Get the 'OTEXT' element value.
         * 
         * @return value
         */
        public String getOTEXT() {
            return OTEXT;
        }

        /** 
         * Set the 'OTEXT' element value.
         * 
         * @param OTEXT
         */
        public void setOTEXT(String OTEXT) {
            this.OTEXT = OTEXT;
        }

        /** 
         * Get the 'STAT2' element value.
         * 
         * @return value
         */
        public String getSTAT2() {
            return STAT2;
        }

        /** 
         * Set the 'STAT2' element value.
         * 
         * @param STAT2
         */
        public void setSTAT2(String STAT2) {
            this.STAT2 = STAT2;
        }

        /** 
         * Get the 'KTGRY' element value.
         * 
         * @return value
         */
        public String getKTGRY() {
            return KTGRY;
        }

        /** 
         * Set the 'KTGRY' element value.
         * 
         * @param KTGRY
         */
        public void setKTGRY(String KTGRY) {
            this.KTGRY = KTGRY;
        }

        /** 
         * Get the 'PHONE' element value.
         * 
         * @return value
         */
        public String getPHONE() {
            return PHONE;
        }

        /** 
         * Set the 'PHONE' element value.
         * 
         * @param PHONE
         */
        public void setPHONE(String PHONE) {
            this.PHONE = PHONE;
        }

        /** 
         * Get the 'WERKS' element value.
         * 
         * @return value
         */
        public String getWERKS() {
            return WERKS;
        }

        /** 
         * Set the 'WERKS' element value.
         * 
         * @param WERKS
         */
        public void setWERKS(String WERKS) {
            this.WERKS = WERKS;
        }

        /** 
         * Get the list of 'Documents' element items.
         * 
         * @return list
         */
        public List<Documents> getDocumentList() {
            return documentList;
        }

        /** 
         * Set the list of 'Documents' element items.
         * 
         * @param list
         */
        public void setDocumentList(List<Documents> list) {
            documentList = list;
        }

        /** 
         * Get the list of 'ASSIST' element items.
         * 
         * @return list
         */
        public List<ASSIST> getASSISTList() {
            return ASSISTList;
        }

        /** 
         * Set the list of 'ASSIST' element items.
         * 
         * @param list
         */
        public void setASSISTList(List<ASSIST> list) {
            ASSISTList = list;
        }

        /** 
         * Get the 'ASSIST_F' element value.
         * 
         * @return value
         */
        public Boolean getASSISTF() {
            return ASSISTF;
        }

        /** 
         * Set the 'ASSIST_F' element value.
         * 
         * @param ASSISTF
         */
        public void setASSISTF(Boolean ASSISTF) {
            this.ASSISTF = ASSISTF;
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:element xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Documents" minOccurs="0" maxOccurs="100">
         *   &lt;xs:complexType>
         *     &lt;xs:sequence>
         *       &lt;xs:element type="xs:string" name="ID_DOCUMENT" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="ID_PERSON" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="ID_COUNTRY" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="ID_DOCUMENTTYPE" minOccurs="0"/>
         *       &lt;xs:element type="xs:date" name="DATEGIVEN" minOccurs="0"/>
         *       &lt;xs:element type="xs:date" name="DATEVALID" minOccurs="0"/>
         *       &lt;xs:element type="xs:string" name="NUMBER" minOccurs="0"/>
         *     &lt;/xs:sequence>
         *   &lt;/xs:complexType>
         * &lt;/xs:element>
         * </pre>
         */
        public static class Documents implements Serializable
        {
            private String IDDOCUMENT;
            private String IDPERSON;
            private String IDCOUNTRY;
            private String IDDOCUMENTTYPE;
            private Date DATEGIVEN;
            private Date DATEVALID;
            private String NUMBER;

            /** 
             * Get the 'ID_DOCUMENT' element value.
             * 
             * @return value
             */
            public String getIDDOCUMENT() {
                return IDDOCUMENT;
            }

            /** 
             * Set the 'ID_DOCUMENT' element value.
             * 
             * @param IDDOCUMENT
             */
            public void setIDDOCUMENT(String IDDOCUMENT) {
                this.IDDOCUMENT = IDDOCUMENT;
            }

            /** 
             * Get the 'ID_PERSON' element value.
             * 
             * @return value
             */
            public String getIDPERSON() {
                return IDPERSON;
            }

            /** 
             * Set the 'ID_PERSON' element value.
             * 
             * @param IDPERSON
             */
            public void setIDPERSON(String IDPERSON) {
                this.IDPERSON = IDPERSON;
            }

            /** 
             * Get the 'ID_COUNTRY' element value.
             * 
             * @return value
             */
            public String getIDCOUNTRY() {
                return IDCOUNTRY;
            }

            /** 
             * Set the 'ID_COUNTRY' element value.
             * 
             * @param IDCOUNTRY
             */
            public void setIDCOUNTRY(String IDCOUNTRY) {
                this.IDCOUNTRY = IDCOUNTRY;
            }

            /** 
             * Get the 'ID_DOCUMENTTYPE' element value.
             * 
             * @return value
             */
            public String getIDDOCUMENTTYPE() {
                return IDDOCUMENTTYPE;
            }

            /** 
             * Set the 'ID_DOCUMENTTYPE' element value.
             * 
             * @param IDDOCUMENTTYPE
             */
            public void setIDDOCUMENTTYPE(String IDDOCUMENTTYPE) {
                this.IDDOCUMENTTYPE = IDDOCUMENTTYPE;
            }

            /** 
             * Get the 'DATEGIVEN' element value.
             * 
             * @return value
             */
            public Date getDATEGIVEN() {
                return DATEGIVEN;
            }

            /** 
             * Set the 'DATEGIVEN' element value.
             * 
             * @param DATEGIVEN
             */
            public void setDATEGIVEN(Date DATEGIVEN) {
                this.DATEGIVEN = DATEGIVEN;
            }

            /** 
             * Get the 'DATEVALID' element value.
             * 
             * @return value
             */
            public Date getDATEVALID() {
                return DATEVALID;
            }

            /** 
             * Set the 'DATEVALID' element value.
             * 
             * @param DATEVALID
             */
            public void setDATEVALID(Date DATEVALID) {
                this.DATEVALID = DATEVALID;
            }

            /** 
             * Get the 'NUMBER' element value.
             * 
             * @return value
             */
            public String getNUMBER() {
                return NUMBER;
            }

            /** 
             * Set the 'NUMBER' element value.
             * 
             * @param NUMBER
             */
            public void setNUMBER(String NUMBER) {
                this.NUMBER = NUMBER;
            }
        }
        /** 
         * Schema fragment(s) for this class:
         * <pre>
         * &lt;xs:element xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ASSIST" minOccurs="0" maxOccurs="100">
         *   &lt;xs:complexType>
         *     &lt;xs:sequence>
         *       &lt;xs:element type="xs:integer" name="ASSIST_PERNR" minOccurs="0"/>
         *     &lt;/xs:sequence>
         *   &lt;/xs:complexType>
         * &lt;/xs:element>
         * </pre>
         */
        public static class ASSIST implements Serializable
        {
            private BigInteger ASSISTPERNR;

            /** 
             * Get the 'ASSIST_PERNR' element value.
             * 
             * @return value
             */
            public BigInteger getASSISTPERNR() {
                return ASSISTPERNR;
            }

            /** 
             * Set the 'ASSIST_PERNR' element value.
             * 
             * @param ASSISTPERNR
             */
            public void setASSISTPERNR(BigInteger ASSISTPERNR) {
                this.ASSISTPERNR = ASSISTPERNR;
            }
        }
    }
}
