
package ru.alfastrah.ti.insurancealfaservice;

import java.io.Serializable;
import java.math.BigDecimal;
import org.joda.time.DateTime;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="https://ti.alfastrah.ru/InsuranceAlfaService" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="importedCommon">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" nillable="true" name="CountriesForPrint" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="additionalCode" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="additionalCondition" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="additionalCondition2" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="addressTel" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="comments" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="countryUID" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" nillable="true" name="dateOfBirth" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="documentNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="documentSerial" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="documentType" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" nillable="true" name="dtCreated" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="eMail" minOccurs="0"/>
 *     &lt;xs:element type="xs:decimal" nillable="true" name="eurRate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="fio" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="insuranceProgrammUID" minOccurs="0"/>
 *     &lt;xs:element type="xs:short" nillable="true" name="multiDays" minOccurs="0"/>
 *     &lt;xs:element type="xs:decimal" nillable="true" name="nettoPremRUR" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="operation" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="policyNumber" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" nillable="true" name="policyPeriodFrom" minOccurs="0"/>
 *     &lt;xs:element type="xs:dateTime" nillable="true" name="policyPeriodTill" minOccurs="0"/>
 *     &lt;xs:element type="xs:decimal" nillable="true" name="usdRate" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="userId"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="userLogin"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="userPSW"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="usersLogin" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" nillable="true" name="usersName" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ImportedCommon implements Serializable
{
    private String countriesForPrint;
    private String additionalCode;
    private String additionalCondition;
    private String additionalCondition2;
    private String addressTel;
    private String comments;
    private String countryUID;
    private DateTime dateOfBirth;
    private String documentNumber;
    private String documentSerial;
    private String documentType;
    private DateTime dtCreated;
    private String EMail;
    private BigDecimal eurRate;
    private String fio;
    private String insuranceProgrammUID;
    private Short multiDays;
    private BigDecimal nettoPremRUR;
    private String operation;
    private String policyNumber;
    private DateTime policyPeriodFrom;
    private DateTime policyPeriodTill;
    private BigDecimal usdRate;
    private String userId;
    private String userLogin;
    private String userPSW;
    private String usersLogin;
    private String usersName;

    /** 
     * Get the 'CountriesForPrint' element value.
     * 
     * @return value
     */
    public String getCountriesForPrint() {
        return countriesForPrint;
    }

    /** 
     * Set the 'CountriesForPrint' element value.
     * 
     * @param countriesForPrint
     */
    public void setCountriesForPrint(String countriesForPrint) {
        this.countriesForPrint = countriesForPrint;
    }

    /** 
     * Get the 'additionalCode' element value.
     * 
     * @return value
     */
    public String getAdditionalCode() {
        return additionalCode;
    }

    /** 
     * Set the 'additionalCode' element value.
     * 
     * @param additionalCode
     */
    public void setAdditionalCode(String additionalCode) {
        this.additionalCode = additionalCode;
    }

    /** 
     * Get the 'additionalCondition' element value.
     * 
     * @return value
     */
    public String getAdditionalCondition() {
        return additionalCondition;
    }

    /** 
     * Set the 'additionalCondition' element value.
     * 
     * @param additionalCondition
     */
    public void setAdditionalCondition(String additionalCondition) {
        this.additionalCondition = additionalCondition;
    }

    /** 
     * Get the 'additionalCondition2' element value.
     * 
     * @return value
     */
    public String getAdditionalCondition2() {
        return additionalCondition2;
    }

    /** 
     * Set the 'additionalCondition2' element value.
     * 
     * @param additionalCondition2
     */
    public void setAdditionalCondition2(String additionalCondition2) {
        this.additionalCondition2 = additionalCondition2;
    }

    /** 
     * Get the 'addressTel' element value.
     * 
     * @return value
     */
    public String getAddressTel() {
        return addressTel;
    }

    /** 
     * Set the 'addressTel' element value.
     * 
     * @param addressTel
     */
    public void setAddressTel(String addressTel) {
        this.addressTel = addressTel;
    }

    /** 
     * Get the 'comments' element value.
     * 
     * @return value
     */
    public String getComments() {
        return comments;
    }

    /** 
     * Set the 'comments' element value.
     * 
     * @param comments
     */
    public void setComments(String comments) {
        this.comments = comments;
    }

    /** 
     * Get the 'countryUID' element value.
     * 
     * @return value
     */
    public String getCountryUID() {
        return countryUID;
    }

    /** 
     * Set the 'countryUID' element value.
     * 
     * @param countryUID
     */
    public void setCountryUID(String countryUID) {
        this.countryUID = countryUID;
    }

    /** 
     * Get the 'dateOfBirth' element value.
     * 
     * @return value
     */
    public DateTime getDateOfBirth() {
        return dateOfBirth;
    }

    /** 
     * Set the 'dateOfBirth' element value.
     * 
     * @param dateOfBirth
     */
    public void setDateOfBirth(DateTime dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    /** 
     * Get the 'documentNumber' element value.
     * 
     * @return value
     */
    public String getDocumentNumber() {
        return documentNumber;
    }

    /** 
     * Set the 'documentNumber' element value.
     * 
     * @param documentNumber
     */
    public void setDocumentNumber(String documentNumber) {
        this.documentNumber = documentNumber;
    }

    /** 
     * Get the 'documentSerial' element value.
     * 
     * @return value
     */
    public String getDocumentSerial() {
        return documentSerial;
    }

    /** 
     * Set the 'documentSerial' element value.
     * 
     * @param documentSerial
     */
    public void setDocumentSerial(String documentSerial) {
        this.documentSerial = documentSerial;
    }

    /** 
     * Get the 'documentType' element value.
     * 
     * @return value
     */
    public String getDocumentType() {
        return documentType;
    }

    /** 
     * Set the 'documentType' element value.
     * 
     * @param documentType
     */
    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    /** 
     * Get the 'dtCreated' element value.
     * 
     * @return value
     */
    public DateTime getDtCreated() {
        return dtCreated;
    }

    /** 
     * Set the 'dtCreated' element value.
     * 
     * @param dtCreated
     */
    public void setDtCreated(DateTime dtCreated) {
        this.dtCreated = dtCreated;
    }

    /** 
     * Get the 'eMail' element value.
     * 
     * @return value
     */
    public String getEMail() {
        return EMail;
    }

    /** 
     * Set the 'eMail' element value.
     * 
     * @param eMail
     */
    public void setEMail(String eMail) {
        EMail = eMail;
    }

    /** 
     * Get the 'eurRate' element value.
     * 
     * @return value
     */
    public BigDecimal getEurRate() {
        return eurRate;
    }

    /** 
     * Set the 'eurRate' element value.
     * 
     * @param eurRate
     */
    public void setEurRate(BigDecimal eurRate) {
        this.eurRate = eurRate;
    }

    /** 
     * Get the 'fio' element value.
     * 
     * @return value
     */
    public String getFio() {
        return fio;
    }

    /** 
     * Set the 'fio' element value.
     * 
     * @param fio
     */
    public void setFio(String fio) {
        this.fio = fio;
    }

    /** 
     * Get the 'insuranceProgrammUID' element value.
     * 
     * @return value
     */
    public String getInsuranceProgrammUID() {
        return insuranceProgrammUID;
    }

    /** 
     * Set the 'insuranceProgrammUID' element value.
     * 
     * @param insuranceProgrammUID
     */
    public void setInsuranceProgrammUID(String insuranceProgrammUID) {
        this.insuranceProgrammUID = insuranceProgrammUID;
    }

    /** 
     * Get the 'multiDays' element value.
     * 
     * @return value
     */
    public Short getMultiDays() {
        return multiDays;
    }

    /** 
     * Set the 'multiDays' element value.
     * 
     * @param multiDays
     */
    public void setMultiDays(Short multiDays) {
        this.multiDays = multiDays;
    }

    /** 
     * Get the 'nettoPremRUR' element value.
     * 
     * @return value
     */
    public BigDecimal getNettoPremRUR() {
        return nettoPremRUR;
    }

    /** 
     * Set the 'nettoPremRUR' element value.
     * 
     * @param nettoPremRUR
     */
    public void setNettoPremRUR(BigDecimal nettoPremRUR) {
        this.nettoPremRUR = nettoPremRUR;
    }

    /** 
     * Get the 'operation' element value.
     * 
     * @return value
     */
    public String getOperation() {
        return operation;
    }

    /** 
     * Set the 'operation' element value.
     * 
     * @param operation
     */
    public void setOperation(String operation) {
        this.operation = operation;
    }

    /** 
     * Get the 'policyNumber' element value.
     * 
     * @return value
     */
    public String getPolicyNumber() {
        return policyNumber;
    }

    /** 
     * Set the 'policyNumber' element value.
     * 
     * @param policyNumber
     */
    public void setPolicyNumber(String policyNumber) {
        this.policyNumber = policyNumber;
    }

    /** 
     * Get the 'policyPeriodFrom' element value.
     * 
     * @return value
     */
    public DateTime getPolicyPeriodFrom() {
        return policyPeriodFrom;
    }

    /** 
     * Set the 'policyPeriodFrom' element value.
     * 
     * @param policyPeriodFrom
     */
    public void setPolicyPeriodFrom(DateTime policyPeriodFrom) {
        this.policyPeriodFrom = policyPeriodFrom;
    }

    /** 
     * Get the 'policyPeriodTill' element value.
     * 
     * @return value
     */
    public DateTime getPolicyPeriodTill() {
        return policyPeriodTill;
    }

    /** 
     * Set the 'policyPeriodTill' element value.
     * 
     * @param policyPeriodTill
     */
    public void setPolicyPeriodTill(DateTime policyPeriodTill) {
        this.policyPeriodTill = policyPeriodTill;
    }

    /** 
     * Get the 'usdRate' element value.
     * 
     * @return value
     */
    public BigDecimal getUsdRate() {
        return usdRate;
    }

    /** 
     * Set the 'usdRate' element value.
     * 
     * @param usdRate
     */
    public void setUsdRate(BigDecimal usdRate) {
        this.usdRate = usdRate;
    }

    /** 
     * Get the 'userId' element value.
     * 
     * @return value
     */
    public String getUserId() {
        return userId;
    }

    /** 
     * Set the 'userId' element value.
     * 
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /** 
     * Get the 'userLogin' element value.
     * 
     * @return value
     */
    public String getUserLogin() {
        return userLogin;
    }

    /** 
     * Set the 'userLogin' element value.
     * 
     * @param userLogin
     */
    public void setUserLogin(String userLogin) {
        this.userLogin = userLogin;
    }

    /** 
     * Get the 'userPSW' element value.
     * 
     * @return value
     */
    public String getUserPSW() {
        return userPSW;
    }

    /** 
     * Set the 'userPSW' element value.
     * 
     * @param userPSW
     */
    public void setUserPSW(String userPSW) {
        this.userPSW = userPSW;
    }

    /** 
     * Get the 'usersLogin' element value.
     * 
     * @return value
     */
    public String getUsersLogin() {
        return usersLogin;
    }

    /** 
     * Set the 'usersLogin' element value.
     * 
     * @param usersLogin
     */
    public void setUsersLogin(String usersLogin) {
        this.usersLogin = usersLogin;
    }

    /** 
     * Get the 'usersName' element value.
     * 
     * @return value
     */
    public String getUsersName() {
        return usersName;
    }

    /** 
     * Set the 'usersName' element value.
     * 
     * @param usersName
     */
    public void setUsersName(String usersName) {
        this.usersName = usersName;
    }
}
